%define upstream_name    B-Hooks-EndOfScope
%define upstream_version 0.20

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 1

Summary:    Execute code after a scope finished compilation
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/B/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Glob)
BuildRequires: perl(File::Spec)
BuildRequires: perl(IPC::Open2)
BuildRequires: perl(Module::Implementation) >= 0.50.0
BuildRequires: perl(Module::Metadata)
BuildRequires: perl(Sub::Exporter::Progressive) >= 0.1.6
BuildRequires: perl(Test::More) >= 0.890.0
BuildRequires: perl(Text::ParseWords)
BuildRequires: perl(Variable::Magic) >= 0.480.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
This module allows you to execute code when perl finished compiling the
surrounding scope.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make

%check
make test

%install
%make_install

%files
%doc CONTRIBUTING Changes INSTALL LICENCE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*

%changelog
* Sun May 08 2016 shlomif <shlomif> 0.200.0-1.mga6
+ Revision: 1010572
- update to 0.20

* Fri Feb 19 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 967843
- Mageia 6 Mass Rebuild

* Sat Jul 04 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 850365
- update to 0.15

* Sun Oct 19 2014 umeabot <umeabot> 0.130.0-4.mga5
+ Revision: 789453
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.130.0-3.mga5
+ Revision: 751077
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.130.0-2.mga5
+ Revision: 683585
- Mageia 5 Mass Rebuild

* Sun Feb 09 2014 sander85 <sander85> 0.130.0-1.mga5
+ Revision: 587443
- update to 0.13

* Fri Oct 18 2013 umeabot <umeabot> 0.120.0-3.mga4
+ Revision: 509232
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.120.0-2.mga3
+ Revision: 363299
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 jquelin <jquelin> 0.120.0-1.mga3
+ Revision: 341919
- update to 0.12

* Fri Feb 24 2012 jquelin <jquelin> 0.110.0-1.mga2
+ Revision: 213682
- update to 0.11

* Wed Feb 22 2012 kharec <kharec> 0.100.0-1.mga2
+ Revision: 211923
- update to 0.10

* Sat Jan 22 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 31725
- mageia rebuild
- imported package perl-B-Hooks-EndOfScope

